dirsearch(1)

NAME
dirsearch - search for file in directories

SYNOPSIS
dirsearch [-c | -l | -p | -q] dir1 [dir2 ...] name

DESCRIPTION
dirsearch looks for a file name in one or more directories. Starting with dir1, the command searches each directory specified for a file called name. If such a file is found, dirsearch exits with code 0 and, depending on its options, may print the file's pathname, contents, or expanded symbolic link contents. If none of the directories specified contain a file name, dirsearch exits with code 1 and prints no output.

OPTIONS
The following mutually exclusive options affect the behavior of dirsearch. If more than one option is specified, only the last will have an effect.

-c  This option prints the contents of the file when it is found, instead of its pathname.

-l  This option looks for symbolic links. The file name will be ignored if it is not a symbolic link. Furthermore, in its output dirsearch will expand the symbolic link.

-p  This option says to print the pathname, which is the default anyway. Thus, the only effect of -p is to undo any previous -c, -l, or -q option.

-q  This option suppresses any output dirsearch would print. The exit code still indicates whether or not the file exists.

EXAMPLES
dirsearch is particularly useful for SFS certificaton and revocation programs. As an example, suppose you have a directory of symbolic links in your home directory called .sfs/bookmarks. The directory might contain the following links:
  sfs.fs.net -> /sfs/@sfs.fs.net,uzwadtctbjb3dg596waiyru8cx5kb4an
  sfs.nyu.edu -> /sfs/@sfs.nyu.edu,hcbafipmin3eqmsgak2m6heequppitiz

If you execute the command:
  sfskey certprog dirsearch -l ~/.sfs/bookmarks

Then the next time you access /sfs/sfs.fs.net, that pathname will automaticlaly become a symbolic link to your bookmark. Moreover, the same will happen on remote machines to which you log in with the rex command.

SEE ALSO
newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu